---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/19055#article
headline: "19055: Channel update failed: invalid JSON or non-updatable field"
url: https://www.twilio.com/docs/api/errors/19055
inLanguage: en
dateModified: 2026-04-10T12:20:38.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 19055: Channel update failed: invalid JSON or non-updatable field

Log Type: APPLICATION

Log Level: ERROR

## Description

This error occurs when your channel update request contains invalid JSON or includes fields that this endpoint does not allow you to update. When you update a channel, only `type`, `description`, and `is_primary` are supported.

### Possible causes

* Your request body contains invalid JSON syntax.
* Your request tries to update fields other than `type`, `description`, or `is_primary`.

### Possible solutions

* Send a valid JSON payload in your channel update request.
* Remove unsupported fields from the request body. Update only `type`, `description`, or `is_primary`.

#### Additional resources

* [Contact API](/docs/messaging/features/contact-api)
* [Compliance Toolkit for Programmable Messaging](/docs/messaging/features/compliance-toolkit)
* [Consent Management API](/docs/messaging/features/consent-api)
